> ## Documentation Index
> Fetch the complete documentation index at: https://docs.trysoma.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Send MCP message

> Send a JSON-RPC message to the MCP server



## OpenAPI

````yaml api-reference/openapi.json post /api/bridge/v1/mcp
openapi: 3.1.0
info:
  title: soma
  version: v1
servers: []
security: []
tags:
  - name: task
    description: >-
      Task management endpoints for creating, listing, and managing tasks and
      their messages
  - name: secret
    description: Secret management endpoints for storing and retrieving encrypted secrets
  - name: encryption
    description: >-
      Encryption key management endpoints for envelope keys, data encryption
      keys, and aliases
  - name: bridge
    description: >-
      Bridge endpoints for managing providers, credentials, functions, and MCP
      protocol communication
  - name: _internal
    description: >-
      Internal endpoints for health checks, runtime configuration, and SDK code
      generation
  - name: a2a
    description: >-
      Agent-to-agent communication endpoints for agent cards, definitions, and
      JSON-RPC requests
  - name: v1
    description: API version v1 endpoints
paths:
  /api/bridge/v1/mcp:
    post:
      tags:
        - bridge
        - v1
      summary: Send MCP message
      description: Send a JSON-RPC message to the MCP server
      operationId: trigger-mcp-message
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/WrappedClientJsonRpcMessage'
        required: true
      responses:
        '200':
          description: MCP server running
components:
  schemas:
    WrappedClientJsonRpcMessage:
      type: object

````